Skip to main content
GET
/
api
/
v2
/
campaigns
/
analytics
Get campaign(s) analytics
curl --request GET \
  --url https://api.instantly.ai/api/v2/campaigns/analytics \
  --header 'Authorization: Bearer <token>'
[
  {
    "campaign_name": "My Test Campaign",
    "campaign_id": "019cc043-e30f-70d3-8cd6-71d3544c7dcd",
    "campaign_status": 1,
    "campaign_is_evergreen": true,
    "leads_count": 1500,
    "contacted_count": 1200,
    "emails_sent_count": 5000,
    "new_leads_contacted_count": 200,
    "open_count": 800,
    "reply_count": 300,
    "link_click_count": 800,
    "bounced_count": 50,
    "unsubscribed_count": 20,
    "completed_count": 1100,
    "total_opportunities": 10,
    "total_opportunity_value": 1000,
    "open_count_unique": 750,
    "open_count_unique_by_step": 900,
    "reply_count_unique": 280,
    "reply_count_unique_by_step": 350,
    "reply_count_automatic": 15,
    "reply_count_automatic_unique": 12,
    "reply_count_automatic_unique_by_step": 18,
    "link_click_count_unique": 600,
    "link_click_count_unique_by_step": 720
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

id
string<uuid>

A campaign ID to get the analytics for. Leave this field empty to get the analytics for all campaigns

Example:

"019cc043-e30f-70d3-8cd6-71d1cf0a88c8"

ids
string<uuid>[]

A list of campaign IDs to get the analytics for. Leave this field empty to get the analytics for all campaigns. You can specify multiple IDs by adding the same parameter multiple times, for instance: /campaigns/analytics?ids=123&ids=456

start_date
string

Start date

Example:

"2024-01-01"

end_date
string

End date

Example:

"2024-01-01"

exclude_total_leads_count
boolean
default:false

Exclude the total leads from the result. Setting this to true will considerably decrease the response time

Example:

true

Response

Default Response

campaign_name
string
required

The name of the campaign

Example:

"My Test Campaign"

campaign_id
string<uuid>
required

The ID of the campaign

Example:

"019cc043-e30f-70d3-8cd6-71d3544c7dcd"

campaign_status
number
required

The campaign status

Example:

1

campaign_is_evergreen
boolean
required

Whether the campaign is evergreen

Example:

true

leads_count
integer
required

The total number of leads

Example:

1500

contacted_count
integer
required

Number of leads for whom the sequence has started

Example:

1200

emails_sent_count
integer
required

The total number of sent emails

Example:

5000

new_leads_contacted_count
integer
required

The total number of new leads contacted

Example:

200

open_count
integer
required

The number of leads that opened at least one email

Example:

800

reply_count
integer
required

The total number of replies received (if a lead replies multiple times, each reply is counted)

Example:

300

The number of links that got clicked

Example:

800

bounced_count
integer
required

The number of bounced leads

Example:

50

unsubscribed_count
integer
required

The number of unsubscribed leads

Example:

20

completed_count
integer
required

The number of leads that the campaign was completed for

Example:

1100

total_opportunities
integer
required

The total number of unique opportunities created

Example:

10

total_opportunity_value
number
required

The total value of opportunities created

Example:

1000

open_count_unique
integer

The number of unique email opens (first open per lead)

Example:

750

open_count_unique_by_step
integer

The number of unique email opens per step (first open per lead per step)

Example:

900

reply_count_unique
integer

The number of unique replies (first reply per lead). Excludes automatic replies.

Example:

280

reply_count_unique_by_step
integer

The number of unique replies per step (first reply per lead per step). Excludes automatic replies.

Example:

350

reply_count_automatic
integer

The total number of automatic replies detected

Example:

15

reply_count_automatic_unique
integer

The number of unique automatic replies (first automatic reply per lead)

Example:

12

reply_count_automatic_unique_by_step
integer

The number of unique automatic replies per step

Example:

18

The number of unique link clicks (first click per lead)

Example:

600

The number of unique link clicks per step (first click per lead per step)

Example:

720